Batch Get Uniswap V3 Positions
curl --request POST \
--url https://api.defiorbit.xyz/v1/positions/uniswapv3/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallets": [
"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wallets: ['0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495']})
};
fetch('https://api.defiorbit.xyz/v1/positions/uniswapv3/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.defiorbit.xyz/v1/positions/uniswapv3/batch"
payload = { "wallets": ["0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.defiorbit.xyz/v1/positions/uniswapv3/batch"
payload := strings.NewReader("{\n \"wallets\": [\n \"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.defiorbit.xyz/v1/positions/uniswapv3/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"wallets\": [\n \"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.defiorbit.xyz/v1/positions/uniswapv3/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"wallets\": [\n \"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495\"\n ]\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.defiorbit.xyz/v1/positions/uniswapv3/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'wallets' => [
'0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"token_id": "119128",
"chain_id": 130,
"wallet": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495",
"is_active": true,
"position": {
"positionData": {
"id": "119128",
"owner": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495",
"tickLower": "233160",
"tickUpper": "236220",
"token0": {
"symbol": "USDC"
},
"token1": {
"symbol": "HYPE"
},
"pool": {
"id": "0xpool",
"feeTier": "3000"
},
"chain": {
"id": 130
},
"protocol": {
"code": "uniswapV3"
},
"managerAddress": "0x943e6e07a7e8e791dafc44083e54041d743c46e9"
},
"calculations": {
"inRange": true,
"positionUsdValue": "1482.71",
"isClosed": false
}
}
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1,
"next_page": null,
"prev_page": null
},
"counts": {
"totalActive": 1,
"totalInactive": 12,
"total": 13,
"filtered": 1,
"errors": 0,
"spams": []
},
"request_id": "req_..."
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "page must be a positive integer.",
"request_id": "req_..."
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing API key.",
"request_id": "req_..."
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient API credits.",
"request_id": "req_..."
}
}{
"error": {
"code": "ACCOUNT_SUSPENDED",
"message": "This organization is suspended.",
"request_id": "req_..."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later.",
"request_id": "req_..."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"request_id": "req_..."
}
}Batch Get Uniswap V3 Positions
Same as the list endpoint, multiple wallets in one POST. Returns the same shape as ?full=true on the list endpoint, one array per wallet — for scanning many addresses at once.
Credits: 12 per position returned on this page.
POST
https://api.defiorbit.xyz
/
v1
/
positions
/
uniswapv3
/
batch
Batch Get Uniswap V3 Positions
curl --request POST \
--url https://api.defiorbit.xyz/v1/positions/uniswapv3/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallets": [
"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wallets: ['0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495']})
};
fetch('https://api.defiorbit.xyz/v1/positions/uniswapv3/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.defiorbit.xyz/v1/positions/uniswapv3/batch"
payload = { "wallets": ["0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.defiorbit.xyz/v1/positions/uniswapv3/batch"
payload := strings.NewReader("{\n \"wallets\": [\n \"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.defiorbit.xyz/v1/positions/uniswapv3/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"wallets\": [\n \"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.defiorbit.xyz/v1/positions/uniswapv3/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"wallets\": [\n \"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495\"\n ]\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.defiorbit.xyz/v1/positions/uniswapv3/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'wallets' => [
'0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"token_id": "119128",
"chain_id": 130,
"wallet": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495",
"is_active": true,
"position": {
"positionData": {
"id": "119128",
"owner": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495",
"tickLower": "233160",
"tickUpper": "236220",
"token0": {
"symbol": "USDC"
},
"token1": {
"symbol": "HYPE"
},
"pool": {
"id": "0xpool",
"feeTier": "3000"
},
"chain": {
"id": 130
},
"protocol": {
"code": "uniswapV3"
},
"managerAddress": "0x943e6e07a7e8e791dafc44083e54041d743c46e9"
},
"calculations": {
"inRange": true,
"positionUsdValue": "1482.71",
"isClosed": false
}
}
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1,
"next_page": null,
"prev_page": null
},
"counts": {
"totalActive": 1,
"totalInactive": 12,
"total": 13,
"filtered": 1,
"errors": 0,
"spams": []
},
"request_id": "req_..."
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "page must be a positive integer.",
"request_id": "req_..."
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing API key.",
"request_id": "req_..."
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient API credits.",
"request_id": "req_..."
}
}{
"error": {
"code": "ACCOUNT_SUSPENDED",
"message": "This organization is suspended.",
"request_id": "req_..."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later.",
"request_id": "req_..."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"request_id": "req_..."
}
}Authorizations
Query Parameters
Page. Default: 1.
Maximum 25. Default: 10.
Required range:
x <= 25Body
application/json